<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KKeySequenceWidget</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KKeySequenceWidget Class Reference</h1>
<code>from PyKDE4.kdeui import *</code>
<p>
Inherits: <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />


<h2>Detailed Description</h2>

<p>A widget to input a QKeySequence.
</p>
<p>
This widget lets the user choose a QKeySequence, which is usually used as a
shortcut key. The recording is initiated by calling captureKeySequence() or
the user clicking into the widget.
</p>
<p>
The widgets provides support for conflict handling. See
setCheckForConflictsAgainst() for more information.
</p>
<p>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Mark Donohoe &lt;donohoe@kde.org&gt; </dd></dl>
<dl class="internal" compact><dt><b>Internal:</b></dt><dd>
</dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj197736268">ShortcutType</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;None, LocalShortcuts, StandardShortcuts, GlobalShortcuts&nbsp;}<br><i>Typesafe wrapper:</i> ShortcutTypes</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj197735820">Validation</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Validate, NoValidate&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Signals</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197760204">keySequenceChanged</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeysequence.html">QKeySequence</a> seq)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197761356">stealShortcut</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeysequence.html">QKeySequence</a> seq, <a href="../kdeui/KAction.html">KAction</a> action)</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197736492">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197767724">__init__</a> (self, <a href="../kdeui/KKeySequenceWidget.html">KKeySequenceWidget</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197763052">applyStealShortcut</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197762124">captureKeySequence</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KKeySequenceWidget.ShortcutTypes&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197738444">checkForConflictsAgainst</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197762892">clearKeySequence</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197749868">isKeySequenceAvailable</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeysequence.html">QKeySequence</a> seq)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197748844">isModifierlessAllowed</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeysequence.html">QKeySequence</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197750508">keySequence</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197760204">keySequenceChanged</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeysequence.html">QKeySequence</a> seq)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197747820">multiKeyShortcutsAllowed</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197750700">setCheckActionCollections</a> (self, [KActionCollectio] actionCollections)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197759628">setCheckActionList</a> (self, [QActio] checkList)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197738124">setCheckForConflictsAgainst</a> (self, KKeySequenceWidget.ShortcutTypes types)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197748652">setClearButtonShown</a> (self, bool show)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197760236">setComponentName</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> componentName)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197760684">setKeySequence</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeysequence.html">QKeySequence</a> seq, KKeySequenceWidget.Validation val=KKeySequenceWidget.NoValidate)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197748236">setModifierlessAllowed</a> (self, bool allow)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197737900">setMultiKeyShortcutsAllowed</a> (self, bool a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197761356">stealShortcut</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeysequence.html">QKeySequence</a> seq, <a href="../kdeui/KAction.html">KAction</a> action)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj197736492"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Constructor.
</p></div></div><a class="anchor" name="obj197767724"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KKeySequenceWidget.html">KKeySequenceWidget</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj197763052"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> applyStealShortcut</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Actually remove the shortcut that the user wanted to steal, from the
action that was using it. This only applies to actions provided to us
by setCheckActionCollections() and setCheckActionList().
</p>
<p>
Global and Standard Shortcuts have to be stolen immediately when the
user gives his consent (technical reasons). That means those changes
will be active even if you never call applyStealShortcut().
</p>
<p>
To be called before you apply your changes. No local shortcuts are
stolen until this function is called.
</p></div></div><a class="anchor" name="obj197762124"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> captureKeySequence</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Capture a shortcut from the keyboard. This call will only return once a key sequence
has been captured or input was aborted.
If a key sequence was input, keySequenceChanged() will be emitted.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> setModifierlessAllowed()
</dd></dl>
</p></div></div><a class="anchor" name="obj197738444"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KKeySequenceWidget.ShortcutTypes checkForConflictsAgainst</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The shortcut types we check for conflicts.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> setCheckForConflictsAgainst()
</dd></dl> <dl class="since" compact><dt><b>Since:</b></dt><dd> 4.2
</dd></dl>
</p></div></div><a class="anchor" name="obj197762892"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> clearKeySequence</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Clear the key sequence.
</p></div></div><a class="anchor" name="obj197749868"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isKeySequenceAvailable</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeysequence.html">QKeySequence</a>&nbsp;</td>
<td class="paramname"><em>seq</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Checks whether the key sequence <b>seq</b> is available to grab.
</p>
<p>
The sequence is checked under the same rules as if it has been typed by
the user. This method is useful if you get key sequences from another
input source and want to check if it is save to set them.
</p>
<p>
<dl class="since" compact><dt><b>Since:</b></dt><dd> 4.2
</dd></dl>
</p></div></div><a class="anchor" name="obj197748844"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isModifierlessAllowed</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="see" compact><dt><b>See also:</b></dt><dd> setModifierlessAllowed()
</dd></dl>
</p></div></div><a class="anchor" name="obj197750508"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeysequence.html">QKeySequence</a> keySequence</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Return the currently selected key sequence.
</p></div></div><a class="anchor" name="obj197760204"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> keySequenceChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeysequence.html">QKeySequence</a>&nbsp;</td>
<td class="paramname"><em>seq</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>This signal is emitted when the current key sequence has changed, be it by user
input or programmatically.
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("keySequenceChanged(const QKeySequence&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj197747820"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool multiKeyShortcutsAllowed</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj197750700"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCheckActionCollections</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">[KActionCollectio]&nbsp;</td>
<td class="paramname"><em>actionCollections</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set a list of action collections to check against for conflictuous shortcut.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> setCheckForConflictsAgainst()
</dd></dl> </p>
<p>
If a KAction with a conflicting shortcut is found inside this list and
its shortcut can be configured (KAction.isShortcutConfigurable()
returns true) the user will be prompted whether to steal the shortcut
from this action.
</p>
<p>
<dl class="since" compact><dt><b>Since:</b></dt><dd> 4.1
</dd></dl>
</p></div></div><a class="anchor" name="obj197759628"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCheckActionList</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">[QActio]&nbsp;</td>
<td class="paramname"><em>checkList</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> since 4.1
use setCheckActionCollections so that KKeySequenceWidget knows
in which action collection to call the writeSettings method after stealing
a shortcut from an action.
</dd></dl>
</p></div></div><a class="anchor" name="obj197738124"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCheckForConflictsAgainst</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KKeySequenceWidget.ShortcutTypes&nbsp;</td>
<td class="paramname"><em>types</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Configure if the widget should check for conflicts with existing
shortcuts.
</p>
<p>
When capturing a key sequence for local shortcuts you should check
against GlobalShortcuts and your other local shortcuts. This is the
default.
</p>
<p>
You have to provide the local actions to check against with
setCheckActionCollections().
</p>
<p>
When capturing a key sequence for a global shortcut you should
check against StandardShortcuts, GlobalShortcuts and your local
shortcuts.
</p>
<p>
There are two ways to react to a user agreeing to steal a shortcut:
</p>
<p>
1. Listen to the stealShortcut() signal and steal the shortcuts
manually. It's your responsibility to save that change later when
you think it is appropriate.
</p>
<p>
2. Call applyStealShortcut and KKeySequenceWidget will steal the
shortcut. This will save the actionCollections the shortcut is part
of so make sure it doesn't inadvertly save some unwanted changes
too. Read it's documentation for some limitation when handling
global shortcuts.
</p>
<p>
If you want to do the conflict checking yourself here are some code
snippets for global ...
</p>
<p>
<pre class="fragment">
 QStringList conflicting = KGlobalAccel.findActionNameSystemwide(keySequence);
 if (!conflicting.isEmpty()) {
     // Inform and ask the user about the conflict and reassigning
     // the keys sequence
     if (!KGlobalAccel.promptStealShortcutSystemwide(q, conflicting, keySequence)) {
         return true;
     }
     KGlobalAccel.stealShortcutSystemwide(keySequence);
 }
</pre>
</p>
<p>
... and standard shortcuts
</p>
<p>
<pre class="fragment">
 KStandardShortcut.StandardShortcut ssc = KStandardShortcut.find(keySequence);
 if (ssc != KStandardShortcut.AccelNone) {
     // We have a conflict
 }
</pre>
</p>
<p>
<dl class="since" compact><dt><b>Since:</b></dt><dd> 4.2
</dd></dl>
</p></div></div><a class="anchor" name="obj197748652"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setClearButtonShown</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>show</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set whether a small button to set an empty key sequence should be displayed next to the
main input widget. The default is to show the clear button.
</p></div></div><a class="anchor" name="obj197760236"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setComponentName</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>componentName</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>If the component using this widget supports shortcuts contexts, it has
to set the it's component name so we can check conflicts correctly.
</p></div></div><a class="anchor" name="obj197760684"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setKeySequence</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeysequence.html">QKeySequence</a>&nbsp;</td>
<td class="paramname"><em>seq</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KKeySequenceWidget.Validation&nbsp;</td>
<td class="paramname"><em>val=KKeySequenceWidget.NoValidate</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set the key sequence.
</p>
<p>
If <b>val</b> == Validate, and the call is actually changing the key sequence,
conflictuous shortcut will be checked.
</p></div></div><a class="anchor" name="obj197748236"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setModifierlessAllowed</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>allow</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>This only applies to user input, not to setShortcut().
Set whether to accept "plain" keys without modifiers (like Ctrl, Alt, Meta).
Plain keys by our definition include letter and symbol keys and
text editing keys (Return, Space, Tab, Backspace, Delete).
"Special" keys like F1, Cursor keys, Insert, PageDown will always work.
</p></div></div><a class="anchor" name="obj197737900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setMultiKeyShortcutsAllowed</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Allow multikey shortcuts?
</p></div></div><a class="anchor" name="obj197761356"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> stealShortcut</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeysequence.html">QKeySequence</a>&nbsp;</td>
<td class="paramname"><em>seq</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KAction.html">KAction</a>&nbsp;</td>
<td class="paramname"><em>action</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>This signal is emitted after the user agreed to steal a shortcut from
an action. This is only done for local shortcuts. So you can be sure \a
action is one of the actions you provided with setCheckActionList() or
setCheckActionCollections().
</p>
<p>
If you listen to that signal and don't call applyStealShortcut() you
are supposed to steal the shortcut and save this change.
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("stealShortcut(const QKeySequence&, KAction*)"), target_slot)</code></dd></dl></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj197736268"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ShortcutType</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Configuration
</p>
<p>
Configuration options for the widget.
</p><dl compact><dt><b>Note:</b></dt><dd>It is necessary to wrap members of this enumeration in a <code>ShortcutTypes</code> instance when passing them to a method as group of flags. For example: <code>ShortcutTypes( None | LocalShortcuts)</code></dd></dl><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>None</em>&nbsp;=&nbsp;0x00</td><td><tr><td valign="top"><em>LocalShortcuts</em>&nbsp;=&nbsp;0x01</td><td><tr><td valign="top"><em>StandardShortcuts</em>&nbsp;=&nbsp;0x02</td><td><tr><td valign="top"><em>GlobalShortcuts</em>&nbsp;=&nbsp;0x03</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj197735820"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">Validation</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Validate key sequence
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Validate</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>NoValidate</em>&nbsp;=&nbsp;1</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
